services:
    Chill\PersonBundle\Form\:
        autowire: true
        autoconfigure: true
        resource: '../../Form/'

    Chill\PersonBundle\Form\PersonType:
        autowire: true
        autoconfigure: true
        arguments:
            $personFieldsConfiguration: '%chill_person.person_fields%'
            $configAltNamesHelper: '@Chill\PersonBundle\Config\ConfigPersonAltNamesHelper'
        tags:
            - { name: form.type, alias: '@chill.person.form.person_creation' }

    Chill\PersonBundle\Form\Type\ClosingMotivePickerType:
        class: Chill\PersonBundle\Form\Type\ClosingMotivePickerType
        arguments:
            $translatableStringHelper: '@Chill\MainBundle\Templating\TranslatableStringHelper'
            $chillEntityRenderExtension: '@Chill\MainBundle\Templating\Entity\ChillEntityRenderExtension'
            $closingMotiveRepository: '@Chill\PersonBundle\Repository\AccompanyingPeriod\ClosingMotiveRepository'
        tags:
            - { name: form.type, alias: closing_motive }

    Chill\PersonBundle\Form\AccompanyingPeriodType:
        arguments:
            $config: "%chill_person.accompanying_period_fields%"
        tags:
            - { name: form.type }
